Link suite
POST
/suites/linkCreates a suite’s link
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, SuitesApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new SuitesApi(config);
const result = await api.linkSuite({ "suiteLinkPayload": { "suite": [], "project": 123 }});console.log(result);curl --request POST \ "https://api.testcollab.io/suites/link?token=$TESTCOLLAB_TOKEN" \ --header 'Content-Type: application/json' \ --data '{ "suite": [], "source_project": 123, "project": 123, "target_parent": 123}'Request body
Section titled “Request body”| Field | Type | Required | Description |
|---|---|---|---|
suite |
Array of number | Yes | Source/Suite IDs to link |
source_project |
number | No | Source project ID, in which suite exist |
project |
number | Yes | Target project ID, in which suite will be linked |
target_parent |
number | No | Target suite ID, under which suite will be linked - Optional |
Response
Section titled “Response”200 — Action status details
| Field | Type | Required | Description |
|---|---|---|---|
status |
boolean | Yes | — |
affected |
number | No | — |
details |
Array of Bulk Action Result Detail | No | — |
message |
string | Yes | — |
queue |
Background job | No | — |
queue.id |
number | Yes | — |
queue.status |
number | Yes | 0=queued; 1=in-progress; 2=done; 3=failed |
queue.percent_done |
number | Yes | When status =1, this will indicate progress % |
queue.created_at |
string | Yes | — |
queue.updated_at |
string | Yes | — |
queue.results |
string | No | JSON object |
{ "status": true, "affected": 123, "details": [], "message": "example", "queue": { "id": 123, "status": 123, "percent_done": 123, "created_at": "example", "updated_at": "example", "results": "example" }}Errors
Section titled “Errors”| Status | Meaning |
|---|---|
403 |
Forbidden |